users_update_navigation
const url = 'https://example.com/api/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"first_name":"example","last_name":"example","ror":"example","orcid":"example","last_workspace":"example","last_path":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "first_name": "example", "last_name": "example", "ror": "example", "orcid": "example", "last_workspace": "example", "last_path": "example" }'Update own profile fields (first_name, last_name, ror, orcid) and navigation state (last_workspace, last_path). Only the authenticated user can update their own record. ror and orcid accept either a full URL or a bare identifier (e.g. 02feahw73, 0000-0002-1825-0097) and are stored as canonical URLs.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Request Body
Section titled “Request Body”Serializer for the MadbotUser model.
object
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
Retrieve the social accounts associated with the user.
object
Return active impersonation session data if the request token is an impersonation token.
Checks whether the current request’s OAuth2 token matches an active
:class:~madbot_api.core.models.ImpersonateSession. Returns None
for all normal (non-impersonated) requests, or when the serializer
is used without a request context (e.g. in tests or admin).
object
Example generated
{ "first_name": "example", "last_name": "example", "ror": "example", "orcid": "example", "last_workspace": "example", "last_path": "example"}Serializer for the MadbotUser model.
object
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
Retrieve the social accounts associated with the user.
object
Return active impersonation session data if the request token is an impersonation token.
Checks whether the current request’s OAuth2 token matches an active
:class:~madbot_api.core.models.ImpersonateSession. Returns None
for all normal (non-impersonated) requests, or when the serializer
is used without a request context (e.g. in tests or admin).
object
Example generated
first_name=example&last_name=example&ror=example&orcid=example&last_workspace=example&last_path=exampleSerializer for the MadbotUser model.
object
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
Retrieve the social accounts associated with the user.
object
Return active impersonation session data if the request token is an impersonation token.
Checks whether the current request’s OAuth2 token matches an active
:class:~madbot_api.core.models.ImpersonateSession. Returns None
for all normal (non-impersonated) requests, or when the serializer
is used without a request context (e.g. in tests or admin).
object
Responses
Section titled “Responses”Serializer for the MadbotUser model.
object
Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.
Retrieve the social accounts associated with the user.
object
Return active impersonation session data if the request token is an impersonation token.
Checks whether the current request’s OAuth2 token matches an active
:class:~madbot_api.core.models.ImpersonateSession. Returns None
for all normal (non-impersonated) requests, or when the serializer
is used without a request context (e.g. in tests or admin).
object
Example generated
{ "first_name": "example", "last_name": "example", "ror": "example", "orcid": "example", "last_workspace": "example", "last_path": "example"}
